std::filesystem::directory_entry Class Reference
File System

`#include <fs_dir.h>`

## Public Member Functions

| directory_entry (const directory_entry &)=default
| directory_entry (const filesystem::path &__p)
| directory_entry (const filesystem::path &__p, error_code &__ec)
| directory_entry (directory_entry &&) noexcept=default
void | assign (const filesystem::path &__p)
void | assign (const filesystem::path &__p, error_code &__ec)
bool | exists () const
bool | exists (error_code &__ec) const noexcept
uintmax_t | file_size () const
uintmax_t | file_size (error_code &__ec) const noexcept
uintmax_t | hard_link_count () const
uintmax_t | hard_link_count (error_code &__ec) const noexcept
bool | is_block_file () const
bool | is_block_file (error_code &__ec) const noexcept
bool | is_character_file () const
bool | is_character_file (error_code &__ec) const noexcept
bool | is_directory () const
bool | is_directory (error_code &__ec) const noexcept
bool | is_fifo () const
bool | is_fifo (error_code &__ec) const noexcept
bool | is_other () const
bool | is_other (error_code &__ec) const noexcept
bool | is_regular_file () const
bool | is_regular_file (error_code &__ec) const noexcept
bool | is_socket () const
bool | is_socket (error_code &__ec) const noexcept
bool | is_symlink () const
bool | is_symlink (error_code &__ec) const noexcept
file_time_type | last_write_time () const
file_time_type | last_write_time (error_code &__ec) const noexcept
| operator const filesystem::path & () const noexcept
bool | operator!= (const directory_entry &__rhs) const noexcept
bool | operator< (const directory_entry &__rhs) const noexcept
bool | operator<= (const directory_entry &__rhs) const noexcept
directory_entry & | operator= (const directory_entry &)=default
directory_entry & | operator= (directory_entry &&) noexcept=default
bool | operator== (const directory_entry &__rhs) const noexcept
bool | operator> (const directory_entry &__rhs) const noexcept
bool | operator>= (const directory_entry &__rhs) const noexcept
const filesystem::path & | path () const noexcept
void | refresh ()
void | refresh (error_code &__ec) noexcept
void | replace_filename (const filesystem::path &__p)
void | replace_filename (const filesystem::path &__p, error_code &__ec)
file_status | status () const
file_status | status (error_code &__ec) const noexcept
file_status | symlink_status () const
file_status | symlink_status (error_code &__ec) const noexcept

## Friends

struct | _Dir
class | directory_iterator
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | operator<< (basic_ostream< _CharT, _Traits > &__os, const directory_entry &__d)
class | recursive_directory_iterator

## Detailed Description

The value type used by directory iterators.

Definition at line 96 of file bits/fs_dir.h.

## Constructor & Destructor Documentation

## directory_entry() [1/2]

std::filesystem::directory_entry::directory_entry | ( | const filesystem::path & | __p | ) |

inline explicit

Definition at line 105 of file bits/fs_dir.h.

## directory_entry() [2/2]

std::filesystem::directory_entry::directory_entry | ( | const filesystem::path & | __p,
|  | error_code & | __ec
| ) |  |

inline

Definition at line 109 of file bits/fs_dir.h.

## Member Function Documentation

## assign() [1/2]

void std::filesystem::directory_entry::assign | ( | const filesystem::path & | __p | ) |

inline

Definition at line 124 of file bits/fs_dir.h.

## assign() [2/2]

void std::filesystem::directory_entry::assign | ( | const filesystem::path & | __p,
|  | error_code & | __ec
| ) |  |

inline

Definition at line 131 of file bits/fs_dir.h.

## exists() [1/2]

bool std::filesystem::directory_entry::exists | ( |  | ) | const

inline

Definition at line 164 of file bits/fs_dir.h.

## exists() [2/2]

bool std::filesystem::directory_entry::exists | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 168 of file bits/fs_dir.h.

## file_size() [1/2]

uintmax_t std::filesystem::directory_entry::file_size | ( |  | ) | const

inline

Definition at line 244 of file bits/fs_dir.h.

## file_size() [2/2]

uintmax_t std::filesystem::directory_entry::file_size | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 248 of file bits/fs_dir.h.

## hard_link_count() [1/2]

uintmax_t std::filesystem::directory_entry::hard_link_count | ( |  | ) | const

inline

Definition at line 252 of file bits/fs_dir.h.

## hard_link_count() [2/2]

uintmax_t std::filesystem::directory_entry::hard_link_count | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 256 of file bits/fs_dir.h.

## is_block_file() [1/2]

bool std::filesystem::directory_entry::is_block_file | ( |  | ) | const

inline

Definition at line 172 of file bits/fs_dir.h.

## is_block_file() [2/2]

bool std::filesystem::directory_entry::is_block_file | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 176 of file bits/fs_dir.h.

## is_character_file() [1/2]

bool std::filesystem::directory_entry::is_character_file | ( |  | ) | const

inline

Definition at line 180 of file bits/fs_dir.h.

## is_character_file() [2/2]

bool std::filesystem::directory_entry::is_character_file | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 184 of file bits/fs_dir.h.

## is_directory() [1/2]

bool std::filesystem::directory_entry::is_directory | ( |  | ) | const

inline

Definition at line 188 of file bits/fs_dir.h.

## is_directory() [2/2]

bool std::filesystem::directory_entry::is_directory | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 192 of file bits/fs_dir.h.

## is_fifo() [1/2]

bool std::filesystem::directory_entry::is_fifo | ( |  | ) | const

inline

Definition at line 196 of file bits/fs_dir.h.

## is_fifo() [2/2]

bool std::filesystem::directory_entry::is_fifo | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 200 of file bits/fs_dir.h.

## is_other() [1/2]

bool std::filesystem::directory_entry::is_other | ( |  | ) | const

inline

Definition at line 204 of file bits/fs_dir.h.

## is_other() [2/2]

bool std::filesystem::directory_entry::is_other | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 208 of file bits/fs_dir.h.

## is_regular_file() [1/2]

bool std::filesystem::directory_entry::is_regular_file | ( |  | ) | const

inline

Definition at line 212 of file bits/fs_dir.h.

## is_regular_file() [2/2]

bool std::filesystem::directory_entry::is_regular_file | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 216 of file bits/fs_dir.h.

## is_socket() [1/2]

bool std::filesystem::directory_entry::is_socket | ( |  | ) | const

inline

Definition at line 220 of file bits/fs_dir.h.

## is_socket() [2/2]

bool std::filesystem::directory_entry::is_socket | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 224 of file bits/fs_dir.h.

## is_symlink() [1/2]

bool std::filesystem::directory_entry::is_symlink | ( |  | ) | const

inline

Definition at line 228 of file bits/fs_dir.h.

## is_symlink() [2/2]

bool std::filesystem::directory_entry::is_symlink | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 236 of file bits/fs_dir.h.

## last_write_time() [1/2]

file_time_type std::filesystem::directory_entry::last_write_time | ( |  | ) | const

inline

Definition at line 260 of file bits/fs_dir.h.

## last_write_time() [2/2]

file_time_type std::filesystem::directory_entry::last_write_time | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 265 of file bits/fs_dir.h.

## operator const filesystem::path &()

std::filesystem::directory_entry::operator const filesystem::path & | ( |  | ) | const

inline noexcept

Definition at line 161 of file bits/fs_dir.h.

## operator!=()

bool std::filesystem::directory_entry::operator!= | ( | const directory_entry & | __rhs | ) | const

inline noexcept

Definition at line 294 of file bits/fs_dir.h.

## operator<()

bool std::filesystem::directory_entry::operator< | ( | const directory_entry & | __rhs | ) | const

inline noexcept

Definition at line 297 of file bits/fs_dir.h.

## operator<=()

bool std::filesystem::directory_entry::operator<= | ( | const directory_entry & | __rhs | ) | const

inline noexcept

Definition at line 301 of file bits/fs_dir.h.

## operator==()

bool std::filesystem::directory_entry::operator== | ( | const directory_entry & | __rhs | ) | const

inline noexcept

Definition at line 285 of file bits/fs_dir.h.

## operator>()

bool std::filesystem::directory_entry::operator> | ( | const directory_entry & | __rhs | ) | const

inline noexcept

Definition at line 306 of file bits/fs_dir.h.

## operator>=()

bool std::filesystem::directory_entry::operator>= | ( | const directory_entry & | __rhs | ) | const

inline noexcept

Definition at line 310 of file bits/fs_dir.h.

## path()

const filesystem::path & std::filesystem::directory_entry::path | ( |  | ) | const

inline noexcept

Definition at line 160 of file bits/fs_dir.h.

## refresh() [1/2]

void std::filesystem::directory_entry::refresh | ( |  | ) |

inline

Definition at line 152 of file bits/fs_dir.h.

## refresh() [2/2]

void std::filesystem::directory_entry::refresh | ( | error_code & | __ec | ) |

inline noexcept

Definition at line 156 of file bits/fs_dir.h.

## replace_filename() [1/2]

void std::filesystem::directory_entry::replace_filename | ( | const filesystem::path & | __p | ) |

inline

Definition at line 138 of file bits/fs_dir.h.

## replace_filename() [2/2]

void std::filesystem::directory_entry::replace_filename | ( | const filesystem::path & | __p,
|  | error_code & | __ec
| ) |  |

inline

Definition at line 145 of file bits/fs_dir.h.

## status() [1/2]

file_status std::filesystem::directory_entry::status | ( |  | ) | const

inline

Definition at line 269 of file bits/fs_dir.h.

## status() [2/2]

file_status std::filesystem::directory_entry::status | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 273 of file bits/fs_dir.h.

## symlink_status() [1/2]

file_status std::filesystem::directory_entry::symlink_status | ( |  | ) | const

inline

Definition at line 277 of file bits/fs_dir.h.

## symlink_status() [2/2]

file_status std::filesystem::directory_entry::symlink_status | ( | error_code & | __ec | ) | const

inline noexcept

Definition at line 281 of file bits/fs_dir.h.

## Friends And Related Symbol Documentation

## _Dir

friend struct _Dir

friend

Definition at line 315 of file bits/fs_dir.h.

## directory_iterator

friend class directory_iterator

friend

Definition at line 316 of file bits/fs_dir.h.

## operator<<

template<typename _CharT , typename _Traits >

basic_ostream< _CharT, _Traits > & operator<< | ( | basic_ostream< _CharT, _Traits > & | __os,
|  | const directory_entry & | __d
| ) |  |

friend

Definition at line 322 of file bits/fs_dir.h.

## recursive_directory_iterator

friend class recursive_directory_iterator

friend

Definition at line 317 of file bits/fs_dir.h.

The documentation for this class was generated from the following file:

- bits/fs_dir.h